Designer Terry Priest sends us a LISP routine to use in AutoCAD — and it's one of our shortest ever. "Load the routine, then type DN to start it. It measures the distance between one point and a second point that's perpendicular to the first. (defun c:dn()(setvar "cmdecho" 1)(command "dist" "nea" pause "per")) ;Distance-Nearto-Perp It starts the Distance command, which measures the distance between two points." Notes from Cadalyst Tip Patrol: This is a very simple routine that can save several steps. This routine uses the Near (NEA) osnap for the first point. This lets you pick anywhere on an object. The second point uses the Perpendicular (PER) osnap to measure a point perpendicular to the first. This routine is very efficient. Type DN, pick a point, then the second point — that's it. If you want to, you can change the osnap settings in the routine. Change the "nea" to "end" to use the endpoint osnap instead of Near. |